import React, { useState, useRef, useEffect } from 'react';
import { Col, Space, Row, Tooltip } from 'antd';
import { register, fold, down, empty, link, edit } from '@/assets/images';
import { knock } from '@/assets/images/icon'
import { Form, Input, Tabs, Typography, Empty, Radio, Button, Modal } from '@arco-design/web-react';
import { question1, } from '@/assets/images';
import ProgressStep from '@/components/ProgressStep/VisitStep';
import SelectObjModal from '@/components/SelectObjModal/selectPerson';
import WantUserTag from '@/components/WantUserTag/Handling';
import { scan } from '@/assets/images/icon'
import DocumentScanner from './FileUpLoad'
import * as $$ from '@/utils/utility';
import CaseResult from './CaseResult'
import ArcoUpload from '@/components/ArcoUpload';


const InputSearch = Input.Search;
const FormItem = Form.Item;
const TabPane = Tabs.TabPane;
const RadioGroup = Radio.Group;
const appUrl = $$.appUrl;


const style = {
  // textAlign: 'center',
  // marginTop: 20,
};

const fakeData = [
  {
    handlerUserName: '天河区棠下街综治中心',
    finishTime: new Date().getTime() - 24 * 60 * 60 * 1000, // 一天前的时间
    handleResult: '1',
    status: '2',
    taskNodeName: '来访登记',
    mediResult: '22_00025-1',
    handleContent: '调解成功，双方达成一致意见。',
    operationName: '李晓明'
  },
  {
    handlerUserName: '系统派单',
    finishTime: new Date().getTime() - 12 * 60 * 60 * 1000, // 半天前的时间
    handleResult: '1',
    status: '2',
    taskNodeName: '事件流转',
    mediResult: '22_00025-1',
    handleContent: '派单至：白云区新市街市场监管所',
  },
  {
    handlerUserName: '白云区新市街市场监管所',
    finishTime: new Date().getTime() - 11 * 60 * 60 * 1000, // 半天前的时间
    handleResult: '1',
    status: '2',
    taskNodeName: '事件流转',
    mediResult: '22_00025-1',
    handleContent: '已签收',
    operationName: '赵菲菲'
  },
  {
    handlerUserName: '白云区新市街市场监管所',
    finishTime: new Date().getTime() - 11 * 60 * 60 * 1000, // 半天前的时间
    handleResult: '1',
    status: '3',
    taskNodeName: '事件回退',
    mediResult: '22_00025-1',
    // handleContent: '已签收',
    operationName: '赵菲菲'
  },
  {
    handlerUserName: '天河区棠下街综治中心',
    finishTime: new Date().getTime() - 6 * 60 * 60 * 1000, // 6小时前的时间
    handleResult: '2',
    status: '1',
    taskNodeName: '事件流转',
    mediResult: '22_00025-1',
    handleContent: '案件已被签收，准备开始调解。',
    operationName: '李晓明'
  },
];

function getByIdRoleApi(id) {
  return $$.ax.request({ url: 'ctUser/getByIdRole?id=' + id, type: 'get', service: 'cust' });
}

function choosePrincipalApi(id) {
  return $$.ax.request({ url: 'caseInfoUnfold/choosePrincipal?caseId=24083010062110001&userId=' + id, type: 'get', service: 'mediate' });
}

function delFile(id) {
  return $$.ax.request({ url: `fileInfo/deleteFileById`, type: 'get', service: 'sys', data: { id } });
}

function getNewTimeIdApi(id) {
  return $$.ax.request({ url: `caseUtils/getNewTimeId`, type: 'get', service: 'utils' });
}

function saveFeedbackApi(data) {
  return $$.ax.request({ url: `caseFeedback/saveFeedback`, type: 'post', service: 'mediate', data });
}

function listFeedbackApi(id) {
  return $$.ax.request({ url: `caseFeedback/listFeedback?id=` + id, type: 'get', service: 'mediate' });
}




const Handle = () => {
  const formRef = useRef();
  const [selectedTab, setSelectedTab] = useState('1'); // 默认选中第一个 tab
  const [selectedTab1, setSelectedTab1] = useState('1'); // 默认选中第一个 tab


  const [wantUser, setWantUser] = useState({});
  const [formView, setFormView] = useState(false);
  const [personView, setPersonView] = useState(false);
  const [supervising, setSupervising] = useState(false)
  const [data, setData] = useState({})
  const [caseResult, SetCaseResult] = useState(false);
  const [response, setResponse] = useState('')
  const [list, setList] = useState([])

  const tabs = [
    { index: '1', label: '承办部门' },
    { index: '2', label: '配合部门' },
  ];

  const tabs1 = [
    { index: '1', label: '公共模板1：化解成功结案意见范本' },
    { index: '2', label: '个人模板1：化解成功结案意见范本（完整版）' }
  ]

  const tabs2 = [
    { index: '1', label: '公共模板1：回复督办内容收到通用范本' },
  ]

  const [isModalVisible, setIsModalVisible] = useState(false);
  const [id, setId] = useState('')

  const handleTabChange = (newTabIndex) => {
    setSelectedTab(newTabIndex);
  };

  const handleCheckedKeys = (userId) => {
    choosePrincipal(userId)
  }

  const [records, setRecords] = useState([
    {
      id: 1,
      date: '2024 - 7 - 1 10:00',
      location: '天河区棠下街综治中心',
      remark: '配合部门',
      showView: false,
      details: [
        {
          title: '操作人',
          content: (
            <div style={{ display: 'flex' }}>
              <div>李晓明</div>
              <img src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} />
            </div>
          ),
        },
        {
          title: '办理意见',
          content: (
            <div>
              调解开始，我首先安抚双方情绪，确保对话在一个平和的氛围中展开。随后，我引导王先生详细说明了他的财务困境及还款意愿，同时让银行代表理解其处境，强调长期合作的重要性。经过反复沟通，银行同意调整还款计划，降低利率，并给予王先生一定的宽限期。王先生则承诺按新计划履行还款义务，双方最终达成一致，签署了调解协议。
            </div>
          ),
        },
        {
          title: '办理附件',
          content: (
            <a href="your-link-here.html" target="_blank">
              <img src={link} alt="" className="title-file" />江照月法人身份证明.pdf
            </a>
          ),
        },
      ],
    },
    {
      id: 2,
      date: '2024 - 7 - 2 14:00',
      location: '天河区天河南街道办事处',
      remark: '承办部门',
      showView: false,
      details: [
        {
          title: '操作人',
          content: (
            <div style={{ display: 'flex' }}>
              <div>张伟</div>
              <img src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} />
            </div>
          ),
        },
        {
          title: '办理意见',
          content: (
            <div>
              在本次协调会议中，我们成功解决了双方之间的纠纷，确保了所有参与方的利益得到了妥善处理。通过深入交流，各方达成了共识，同意采取一系列措施来解决现存的问题。
            </div>
          ),
        },
        {
          title: '办理附件',
          content: '广州市天河区天河南路200号',
        },
      ],
    },
  ]);



  const toggleView = (id) => {
    setList(list.map(record => {
      if (record.id === id) {
        return {
          ...record,
          showView: !record.showView,
        };
      }
      return record;
    }));
  };

  const handleEdit = (id) => {
    console.log(id, 'handleEdit')
    let handleContent = list.find(item => item.id = id).handleContent
    setList(list.filter(record => record.id !== id));
    setFormView(!formView);
    formRef.current.setFieldsValue({
      handleContent: handleContent
    })
  }


  const [scannerVisible, setScannerVisible] = useState(false);

  const handleConfirm = () => {
    // 处理确认逻辑
    setScannerVisible(false);
  };

  const handleCancel = () => {
    // 处理取消逻辑
    setScannerVisible(false);
  };

  const openScanner = () => {
    setScannerVisible(true);
  };

  const getByIdRole = async () => {
    const res = await getByIdRoleApi('2105180249501982')
    if (res.type) {
      let data = res.data
      setData(data)
    }

  }

  const choosePrincipal = async (id) => {
    console.log(id, 'choosePrincipalId')
    const res = await choosePrincipalApi(id)
    if (res.type) {
      let data = res.data
      console.log(data, 'choosePrincipalchoosePrincipal')
    }

  }


  //删除文件
  const handleDelFile = async (id) => {
    const res = await delFile(id)
    if (res.type) {
      $$.infoSuccess({ content: '删除成功！' });
    }
  }

  const getNewTimeId = async () => {
    const res = await getNewTimeIdApi()
    if (res.type) {
      setId(res.data)
    }
  }

  const saveFeedback = async (submitData) => {
    console.log(submitData, 'submitData1111')
    const res = await saveFeedbackApi(submitData)
    if (res.type) {
      $$.infoSuccess({ content: '保存成功' });
    }
  }

  const listFeedback = async (id) => {
    const res = await listFeedbackApi(id)
    if (res.type) {
      let data = res.data.caseFeedbackList
      setList(data)
    }
    console.log(list, 'listFeedbackApilistFeedbackApi')
  }

  const addMark = () => {
    setFormView(!formView);
    getNewTimeId()
  }

  const handleFinish = () => {
    console.log(formRef.current.getFields(), formRef, 'formRef.current.getFields()', 'formRef')
    let submitData = formRef.current.getFields()
    saveFeedback(submitData)
    setFormView(!formView);
  }

  const Supervising = () => {
    setSupervising(!supervising)
  }

  const handleTabChange1 = (newTabIndex) => {
    setSelectedTab1(newTabIndex);
  };

  const content = selectedTab1 === '1'
    ? `鉴于本事项的重要性及紧迫性，现要求你尽快启动调解程序，并确保案件能够得到及时有效的处理。请您务必于本周内完成以下事项：XX、XX、XX。请确保在事项办理的过程中，遵循公平、公正的原则，并积极促进双方达成共识`
    : '1';

  const handleSupervising = () => {
    setSupervising(!supervising)
  }

  const handleResponse = () => {
    setResponse(!response)
  }


  useEffect(() => {
    listFeedback('24083010062110001');
    // getByIdRole()
  }, [])


  return (
    <>
      <div className='container'>
        <div className='container-top'>
          <Col span={24}>
            <Space size='small'>
              <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>当事人信息</h5>
            </Space>
          </Col>
          <Row gutter={[16, 16]}>
            <Col span={8} style={{ display: 'flex' }}>
              <div><div className="title-text">承办部门：</div></div>
              <div>天河区棠下街综治中心</div>
            </Col>
            <Col span={8} style={{ display: 'flex' }}>
              <div><div className="title-text">经办人：</div></div>
              <div style={{ display: 'flex' }}>
                <div>王一顺</div>
                <img onClick={() => setPersonView(!personView)} src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} />
              </div>
            </Col>
            <Col span={8} style={{ display: 'flex' }}>
              <div><div className="title-text">配合部门：</div></div>
              <div>-</div>
            </Col>
            <Col span={8} style={{ display: 'flex' }}>
              <div><div className="title-text">受理时间：</div></div>
              <div>2024-7-5 11:45</div>
            </Col>
          </Row>

        </div>

        <div className='container-bottom'>
          <div className='container-bottom-left'>
            <Col span={24} style={{ marginBottom: '8px' }}>
              <Space size='small'>
                <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>办理反馈</h5>
              </Space>
            </Col>
            <Form
              layout='vertical'
              requiredSymbol={false}
              scrollToFirstError={true}
            >
              <Col span={8}>
                <FormItem label={<div style={{ display: 'flex' }}>
                  <span style={{ color: '#86909C' }}>经办人</span>
                  <Tooltip>
                    <img src={question1} alt="" style={{ width: '13px', height: '13px', margin: '4px 4px 0px 4px' }} />
                  </Tooltip>
                </div>
                }
                  field='level' >
                  {wantUser.wantUserId ?
                    <WantUserTag name={wantUser.wantUserName} onClose={() => setWantUser({ wantUserId: null, wantUserName: null })} />
                    :
                    <Button onClick={() => setIsModalVisible(true)} style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} type='outline'>选择</Button>
                    // <InputSearch
                    //   searchButton='选择'
                    //   placeholder='请选择'
                    //   style={{ width: 350 }}
                    //   onClick={() => setIsModalVisible(true)}
                    //   onSearch={() => setIsModalVisible(true)}
                    // />
                  }
                </FormItem>
              </Col>
              <Col span={24}>
                <div style={{ color: 'rgb(134, 144, 156)' }}>办理记录</div>
                {list?.length > 0 ?
                  <div>
                    {list?.map(record => (
                      <div key={record.id} className='container-bottom-left-record'>
                        <div className='container-bottom-left-record-top'>
                          {
                            record.showView ? (
                              <img src={down} alt='' style={{ width: '18px', marginRight: '6px' }} onClick={() => toggleView(record.id)} />
                            ) : (
                              <img src={fold} alt='' className='container-bottom-left-record-top-icon' onClick={() => toggleView(record.id)} />
                            )
                          }
                          <div>{`${record.createTime} ${record.handleUnitName}`}</div>
                          <div className={`container-bottom-left-record-top-${record.handleType === '2' ? 'remark' : 'hostOrg'}`}>{record.handleType === '2' ? '配合部门' : '承办部门'}</div>
                          <div><img src={edit} alt='' className='container-bottom-left-record-top-edit' onClick={() => handleEdit(record.id)} /></div>
                        </div>
                        <div className='container-bottom-left-record-bottom' style={{ display: record.showView ? 'block' : 'none' }}>
                          <table border="1" cellpadding="8" className='container-bottom-left-record-bottom-table'>
                            <tr>
                              <th bgcolor="#F7F8FA" className="table-title" width="120">操作人</th>
                              <td>{record.handleUnitName}</td>
                            </tr>
                            <tr>
                              <th bgcolor="#F7F8FA" className="table-title" width="120">办理意见</th>
                              <td>{record.handleContent}</td>
                            </tr>
                            <tr>
                              <th bgcolor="#F7F8FA" className="table-title" width="120">办理附件</th>
                              <td>{record.handleUnitName}</td>
                            </tr>
                          </table>
                        </div>
                      </div>
                    ))}
                  </div>
                  :
                  <Empty
                    icon={
                      <div
                        style={{
                          display: 'flex',
                          justifyContent: 'center',
                          marginBottom: '100px'
                        }}
                      >
                        <img src={empty} alt='' style={{ width: '160px', height: '160px' }} />
                      </div>
                    }
                    description='暂无数据'
                  />
                }
                {formView &&
                  <div className='Form'>
                    <Col span={24} style={{ marginBottom: '8px' }}>
                      <Space size='small'>
                        <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>添加办理记录</h5>
                      </Space>
                    </Col>
                    <Col span={24}>
                      <Form
                        ref={formRef}
                        layout='vertical'
                        requiredSymbol={false}
                        scrollToFirstError={true}
                      >
                        <Row gutter={[32, 0]}>
                          <Col span={24}>
                            <FormItem
                              label={<div style={{ display: 'flex' }}>
                                办理意见
                                <img src={scan} alt="" style={{ marginRight: '-2px', marginLeft: '8px' }} />
                                <div style={{ marginLeft: '8px', color: '#1A6FB8', fontSize: '14px', cursor: 'pointer' }} onClick={openScanner}>识别材料</div>
                              </div>
                              }
                              field='handleContent'
                              rules={[{ message: '请填写事项概况', required: true }]}
                            >
                              <Input.TextArea
                                maxLength={200}
                                showWordLimit
                                rows={5}
                                placeholder='请完整描述事项概况，应具备5要素：发生时间+发生地点+人物情况+事项起因+事项经过'
                                wrapperStyle={{ width: '100%' }}
                              />
                            </FormItem>

                          </Col>
                          <Col span={24}>
                            <FormItem
                              label={<div style={{ display: 'flex' }}>
                                办理附件
                              </div>
                              }
                              field='caseDes'
                              rules={[{ message: '请填写事项概况', required: true }]}
                            >
                              <ArcoUpload
                                params={{
                                  action: `${appUrl.fileUrl}/${appUrl.sys}/api/web/fileInfo/upload?mainId='24083010062110001'&&ownerId=${id}&ownerType=22_00018-102`,
                                }}
                                field='file1'
                                // handleChangeFile={handleChangeFile}
                                label=''
                                // editData={props.editData}
                                handleDelFile={handleDelFile}
                              />
                            </FormItem>
                          </Col>

                        </Row>
                      </Form>
                    </Col>
                    <Space size='middle'>
                      <Button type='primary' onClick={() => handleFinish()}>保存</Button>
                      <Button type='secondary'>取消添加</Button>
                    </Space>
                  </div>

                }
              </Col>
            </Form>
            <Space style={{ marginTop: '38px', bottom: '4px' }}>
              <Button type="primary" style={{ backgroundColor: '#1A6FB8' }} onClick={() => addMark()}>添加办理记录</Button>
              <Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }}>联合处置申请</Button>
              <Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={() => SetCaseResult(!caseResult)}>结案申请</Button>
              <Button type='outline' style={{ color: '#EF6C24', border: '1px solid #EF6C24' }} onClick={() => Supervising()}>督办</Button>
              <Button type='secondary'>返回上级页面</Button>
            </Space>
          </div>
          <div className='container-bottom-right'>
            <Tabs defaultActiveTab='1' className='tabs-container' >
              <TabPane
                key='1'
                title={
                  <span style={{ fontSize: '15px' }}>
                    流转进度
                  </span>
                }
              >
                <Typography.Paragraph>
                  <div style={{ display: 'flex', marginLeft: '16px', gap: '16px' }}>
                    {tabs.map((tab) => (
                      <div
                        key={tab.index}
                        style={{
                          color: selectedTab === tab.index ? 'rgba(26,111,184,1)' : 'rgba(0,0,0,0.45)',
                          padding: '6px 12px',
                          border: `1px solid ${selectedTab === tab.index ? 'rgba(26,111,184,1)' : 'rgba(229,230,235,1)'}`,
                          borderRadius: '4px',
                          cursor: 'pointer',
                        }}
                        onClick={() => handleTabChange(tab.index)}
                      >
                        {tab.label}
                      </div>
                    ))}
                  </div>
                  {selectedTab === '1' &&
                    <div className='progress'>
                      <ProgressStep progressData={fakeData} />
                    </div>
                  }
                </Typography.Paragraph>
              </TabPane>
              <TabPane
                key='2'
                title={
                  <span style={{ fontSize: '15px' }}>
                    督办信息
                  </span>
                }
              >
                <Typography.Paragraph>
                  <RadioGroup
                    type='button'
                    name='lang'
                    defaultValue='1'
                    style={{ display: 'flex', margin: '0 16px 0px 16px', }}
                  >
                    <Radio value='1' style={{ flex: 1, textAlign: 'center' }}>未回复</Radio>
                    <Radio value='2' style={{ flex: 1, textAlign: 'center' }}>已回复</Radio>
                  </RadioGroup>
                  <div className='Supervising'>
                  <div style={{ display: 'flex' }}>
                      <img src={knock} alt='' style={{ marginRight: '4px' }} />
                      <div style={{ color: '#EF6C24' }} >回复期限剩3小时</div>
                    </div>
                    <div className='Supervising-item'>
                      <div className='Supervising-item-title'>督办时间：</div>
                      <div>2024-7-12 10:50</div>
                    </div>
                    <div className='Supervising-item'>
                      <div className='Supervising-item-title'>督办人：</div>
                      <div>张三丰</div>
                    </div>
                    <div className='Supervising-item'>
                      <div className='Supervising-item-title'>督办内容：</div>
                      <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
                    </div>
                    <div className='Supervising-item'>
                      <div className='Supervising-item-title'>督办附件：</div>
                      <img src={link} alt='' style={{ width: '16px' }} />
                      <div>2</div>
                    </div>
                    <Button className='Supervising-btn' size='small' type='outline' onClick={() => handleResponse()}>回复</Button>
                  </div>
                </Typography.Paragraph>
              </TabPane>
            </Tabs>

          </div>
        </div>

        {/* 选择经办人*/}
        <SelectObjModal
          visible={isModalVisible}
          checkKeys={wantUser.wantUserId ? [{ label: wantUser.wantUserName, value: wantUser.wantUserId }] : undefined}
          onOk={(value) => {
            console.log(value.key, value, 'value.key', 'value')
            setIsModalVisible(false);
            setWantUser({ wantUserId: value.keys[0], wantUserName: value.items[0].name });
            handleCheckedKeys(value.keys?.[0])
          }}
          onClose={() => setIsModalVisible(false)}
        />

        <DocumentScanner
          visible={scannerVisible}
          onConfirm={handleConfirm}
          onCancel={handleCancel}
        />
        <Modal visible={personView} onCancel={() => setPersonView(false)} title='工作人员信息' centered footer={null}>
          <table border="1" align="center" cellpadding="5" className="table">
            <tr>
              <th bgcolor="#F7F8FA" className="table-title" width="120">姓名</th>
              <td width='380'><div style={{ display: 'flex' }}><div>{data.trueName}</div></div></td>
              <th bgcolor="#F7F8FA" className="table-title" width="120">登录账号</th>
              <td width='380'>{data.acc}</td>
            </tr>
            <tr>
              <th bgcolor="#F7F8FA" className="table-title">手机号码</th>
              <td>{data.mobile}</td>
              <th bgcolor="#F7F8FA" className="table-title">工作电话</th>
              <td>020-83002020</td>
            </tr>
            <tr>
              <th bgcolor="#F7F8FA" className="table-title">所属部门</th>
              <td>{data.deptName}</td>
              <th bgcolor="#F7F8FA" className="table-title">职务</th>
              <td>主任</td>
            </tr>
          </table>
        </Modal>
        <Modal visible={supervising} onCancel={() => setSupervising(false)} title='督办' centered footer={null}>
          <div style={{ marginTop: '18px' }}>督办意见</div>
          <Form
            layout='vertical'
            requiredSymbol={false}
            scrollToFirstError={true}
            initialValues={{
              suggestion: ''
            }}//默认值
          >
            <Row>
              <Col span={24}>
                <FormItem
                  field='suggestion'
                >
                  <div className='tabs1'>
                    {tabs1.map((tab) => (
                      <div
                        key={tab.index}
                        style={{
                          color: selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(0,0,0,0.45)',
                          border: `1px solid ${selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(229,230,235,1)'}`,
                          borderRadius: '2px',
                          cursor: 'pointer',
                          padding: '0px 8px',
                        }}
                        onClick={() => handleTabChange1(tab.index)}
                      >
                        {tab.label}
                      </div>
                    ))}
                  </div>
                  <Input.TextArea
                    rows={5}
                    wrapperStyle={{ width: '700px' }}
                    value={content}
                  />
                </FormItem>
              </Col>
              <Col span={24}>
                <FormItem
                  label='附件材料'
                  field='caseDes'
                  rules={[{ message: '请填写事项概况', required: true }]}
                >
                  <ArcoUpload
                    params={{
                      action: `${appUrl.fileUrl}/${appUrl.sys}/api/web/fileInfo/upload?mainId='24083010062110001'&&ownerId=${id}&ownerType=22_00018-102`,
                    }}
                    field='file1'
                    // handleChangeFile={handleChangeFile}
                    label=''
                    // editData={props.editData}
                    handleDelFile={handleDelFile}
                  />
                </FormItem>
              </Col>
              <Button type='primary' style={{ marginTop: '-16px' }} onClick={() => handleSupervising()}>提交</Button>
            </Row>
          </Form>
        </Modal>
        <Modal visible={response} onCancel={() => setResponse(false)} title='回复督办' centered footer={null} style={{overflowY:'auto'}}>
          <div style={{  }}>
            <Col span={24} style={{ marginBottom: '8px' }}>
              <Space size='small'>
                <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办意见</h5>
              </Space>
            </Col>
            <Row gutter={[16, 16]}>
              <Col span={24} >
                <div className="title-text">督办时间</div>
                <div>2024-7-12 10:50</div>
              </Col>
              <Col span={24}>
                <div className="title-text">督办人</div>
                <div>张三丰</div>
              </Col>
              <Col span={24}>
                <div className="title-text">督办内容</div>
                <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
              </Col>
              <Col span={24}>
                <div className="title-text">督办附件</div>
                <img src={link} alt="" className="title-file" />广东好又多贸易有限公司营业执照副本.pdf
              </Col>
            </Row>
            <Col span={24} style={{ marginBottom: '8px' }}>
              <Space size='small'>
                <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办回复</h5>
              </Space>
            </Col>
            <Form
              layout='vertical'
              requiredSymbol={false}
              scrollToFirstError={true}
              initialValues={{
                suggestion: ''
              }}//默认值
            >
              <Row>
                <Col span={24}>
                  <FormItem
                    field='suggestion'
                  >
                    <div>
                      
                    </div>
                    <div className='tabs1'>
                      {tabs2.map((tab) => (
                        <div
                          key={tab.index}
                          style={{
                            color: selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(0,0,0,0.45)',
                            border: `1px solid ${selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(229,230,235,1)'}`,
                            borderRadius: '2px',
                            cursor: 'pointer',
                            padding: '0px 8px',
                          }}
                          onClick={() => handleTabChange1(tab.index)}
                        >
                          {tab.label}
                        </div>
                      ))}
                    </div>
                    <div>更多模板</div>
                    
                    <Input.TextArea
                      rows={5}
                      wrapperStyle={{ width: '700px' }}
                      value={content}
                    />
                  </FormItem>
                </Col>
                <Col span={24}>
                  <FormItem
                    label='附件材料'
                    field='caseDes'
                    rules={[{ message: '请填写事项概况', required: true }]}
                  >
                    <ArcoUpload
                      params={{
                        action: `${appUrl.fileUrl}/${appUrl.sys}/api/web/fileInfo/upload?mainId='24083010062110001'&&ownerId=${id}&ownerType=22_00018-102`,
                      }}
                      field='file1'
                      // handleChangeFile={handleChangeFile}
                      label=''
                      // editData={props.editData}
                      handleDelFile={handleDelFile}
                    />
                  </FormItem>
                </Col>
                <Button type='primary' style={{ marginTop: '-16px',marginBottom:'16px' }} onClick={() => handleSupervising()}>提交</Button>
              </Row>
            </Form>
          </div>
        </Modal>

        <CaseResult visible={caseResult} handleOnCancel={() => SetCaseResult(false)} />

      </div>
    </>
  )

}

export default Handle;